/// Shaders for Alps map, whosgaming exclusive		///
/// skybox env, amethyst7 skybox image (shadowpeak)	///

textures/alps/shadowpeak
{
	qer_editorimage textures/alps/shadowpeak.tga
	q3map_lightrgb 0.95 0.97 1.0
	q3map_sunExt 0.95 0.97 1.0 175 0 30
	q3map_skylight 64 3

// fog/haze
//	fogvars ( 0.5529 0.60 0.7490 ) .0001
//	skyfogvars ( 0.5529 0.60 0.7490 ) .01

	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm sky

	skyparms textures/alps_env/shadowpeak 512 -

	sunshader textures/skies_sd/batterysunfog

	{
		map textures/alps/whiteclouds.tga
		tcMod scroll 0.05 0.05
		rgbGen identity
		blendFunc blend
	}
}

/// fog shader 					///
textures/alps/whitefog
{
	qer_editorimage textures/alps/whitefog.tga
	q3map_globaltexture
	q3map_surfacelight 0
	fogparms ( 0.8 0.8 0.8 ) 2048
	surfaceparm fog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/alps/fog_mask.tga
		blendfunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		tcmod scale 0.05 0.05
		tcmod scroll 0.01 -0.01
	}
}

/// kt_kubelwagon shader			///
textures/alps/euro_frnt_2
{
	cull disable
///	surfaceparm playerclip

	{
		map models/mapobjects/kt_kubalwagon/euro_frnt_2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

// snow covered greate

textures/alps/grate_b_snow
{
	qer_editorimage textures/alps/grate_b_snow.tga
	cull none
	surfaceparm alphashadow
	surfaceparm metalsteps
	nomipmaps
	nopicmip
	{
		map textures/alps/grate_b_snow.tga
//		alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
//		rgbGen vertex
		rgbGen identity
	}
/// lightmap section ///
	{
		map $lightmap
		rgbGen identity
//		blendFunc blend
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

/// red/grey stripes painted wood, with snow ///

textures/alps/stripes_wood
{
	{
		map $lightmap
	}
	{
		map textures/alps/stripes_wood.tga
		blendFunc filter
	}
}

/// snow versions of bunker walls ///

textures/alps/concrete_snow_wall
{       
	{
		map $lightmap
	}
	{
		map textures/alps/concrete_snow_wall.tga
		blendFunc filter
	}
}

textures/alps/concrete_snow_wall_2
{       
	{
		map $lightmap
	}
	{
		map textures/alps/concrete_snow_wall_2.tga
		blendFunc filter
	}
}

/// Tank textures, based on panzerone, changed for winter camouflage ///

textures/alps/panzerwhl1
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/panzerwhl1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/alps/panzerwhl2
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/panzerwhl2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alps/tanktracks1
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/tanktracks1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/alps/panzerwhl3
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/panzerwhl3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alps/panel3
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/panel3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alps/philblk
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/philblk.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alps/tankback
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/tankback.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alps/tankbacktop
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/tankbacktop.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alps/tankbits
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/tankbits.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alps/tankfront
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/tankfront.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alps/tankside1
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/tankside1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alps/tankside2
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/tankside2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alps/tanktop
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/tanktop.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alps/tanktracks1
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/tanktracks1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alps/tanktrametal
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/tanktrametal.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alps/theomet
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/theomet.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

/// oil barrels, snow version

textures/alps/barrel_snow_side
{
	surfaceparm metalsteps
	{
		map $lightmap
	}
	{
		map textures/alps/barrel_snow_side.tga
		blendFunc filter
	}
}

textures/alps/barrel_snow_top
{
	surfaceparm metalsteps
	{
		map $lightmap
	}
	{
		map textures/alps/barrel_snow_top.tga
		blendFunc filter
	}
}

/// extra textures
/// crates
textures/alps/dr_box3	
{
	{
		map $lightmap
	}
	{
		map textures/alps/dr_box3.tga
		blendFunc filter
	}
}

textures/alps/dr_box4
{
	{
		map $lightmap
	}
	{
		map textures/alps/dr_box4.tga
		blendFunc filter
	}
}

/// entry forbidden
textures/alps/dr_sign
{
	{
		map $lightmap
	}
	{
		map textures/alps/dr_sign.tga
		blendFunc filter
	}
}

/// small safe for docs obj
textures/alps/dr_safe_small
{
	{
		map $lightmap
	}
	{
		map textures/alps/dr_safe_small.tga
		blendFunc filter
	}
}

/// poster
textures/alps/dr_poster9
{
	{
		map $lightmap
	}
	{
		map textures/alps/dr_poster9.tga
		blendFunc filter
	}
}

// rock nomarks

textures/alps/rock_nomarks
{
	qer_editorimage textures/alps_terrain/mxrock_snow.tga
//	surfaceparm nodlight
//	surfaceparm nolightmap
	surfaceparm noimpact

	{
		map textures/alps_terrain/mxrock_snow.tga
		rgbGen identity
	}
}

// room
textures/alps/tux
{
	qer_editorimage textures/alps/tux.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/tux.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alps/sexyetshader
{
	qer_editorimage textures/alps/sexyet.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/sexyet.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alps/born2broot
{
	qer_editorimage textures/alps/borntoberoot.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/borntoberoot.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alps/whologo
{
	qer_editorimage textures/alps/pagelogo.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/pagelogo.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alps/4ss
{
	qer_editorimage textures/alps/chams.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/chams.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// poster6
textures/alps/drposter6
{
	qer_editorimage textures/alps/dr_poster6.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/dr_box8.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


// 3 icons for limbo/command map
// jeep, and 2 electric doors

alps/jeep_icon_shader
{
	nomipmaps
	nopicmip
	{
		map gfx/limbo/mt_whoverest_beta1/jeep_icon.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

alps/door1_icon_shader
{
	nomipmaps
	nopicmip
	{
		map gfx/limbo/mt_whoverest_beta1/door1_icon.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

alps/door2_icon_shader
{
	nomipmaps
	nopicmip
	{
		map gfx/limbo/mt_whoverest_beta1/door2_icon.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

alps/main_door_icon_shader
{
	nomipmaps
	nopicmip
	{
		map gfx/limbo/mt_whoverest_beta1/maingate.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

alps/docs_icon_shader
{
	nomipmaps
	nopicmip
	{
		map gfx/limbo/mt_whoverest_beta1/documents.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

alps/switch_icon_shader
{
	nomipmaps
	nopicmip
	{
		map gfx/limbo/mt_whoverest_beta1/switch.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

alps/vent_icon_shader
{
	nomipmaps
	nopicmip
	{
		map gfx/limbo/mt_whoverest_beta1/ventgrate.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

// alpha ice, snow.shader
textures/alps/alpha_ice
{
	qer_editorimage textures/alps/alpha_ice2s.tga
	surfaceparm alphashadow
	cull none
	{
		map textures/alps/alpha_ice2s.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

// red bunker sign, based on props_sd //
textures/alps/s_casemate_r
{
	surfaceparm metalsteps
	implicitMap -
}

textures/alps/snowdoor1
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alps/door_m01_snow.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

